| Package
| Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD DETAIL: FIELD | CONSTR | METHOD

## Class NegativeExpr

    java.lang.Object
      |
      +--Statement
            |
            +--ExprStmt
                  |
                  +--Expr
                        |
                        +--UnaryExpr
                              |
                              +--NegativeExpr

public class NegativeExpr
extends UnaryExpr

Field Summary
`private Expr` | `expr`
`private UnaryMinus` | `neg`

Fields inherited from class Expr
`usedid`

Fields inherited from class ExprStmt
`type`

Constructor Summary
`NegativeExpr()`

Method Summary
`void` | `codegen(ClassFile classfile, CodeAttribute code, de.dhbwstuttgart.typeinference.Menge paralist)`
`java.lang.String` | `get_Name()`
`void` | `neg_codegen(ClassFile classfile, CodeAttribute code, de.dhbwstuttgart.typeinference.Menge paralist)`
`void` | `sc_check(de.dhbwstuttgart.typeinference.Menge classname, java.util.Hashtable ch, java.util.Hashtable bh, boolean ext, java.util.Hashtable parach, java.util.Hashtable parabh)`
`void` | `set_Expr(Expr ex)`
`void` | `set_UnaryMinus(UnaryMinus umin)`

Methods inherited from class Expr
`get_Name_Menge, get_Type_Menge, get_UsedId, set_Type, set_UsedId`

Methods inherited from class ExprStmt
`get_Type`

Methods inherited from class Statement
`print_rec, print_rec, print_rec, print_rec`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### neg

    private UnaryMinus neg

### expr

    private Expr expr

Constructor Detail

### NegativeExpr

    public NegativeExpr()

Method Detail

### get_Name

    public java.lang.String get_Name()

  Specified by:
    `get_Name` in class `Expr`

### sc_check

    public void sc_check(de.dhbwstuttgart.typeinference.Menge classname,
                         java.util.Hashtable ch,
                         java.util.Hashtable bh,
                         boolean ext,
                         java.util.Hashtable parach,
                         java.util.Hashtable parabh)
                  throws SCStatementException

  Specified by:
    `sc_check` in class `Expr`
    `SCStatementException`

### set_UnaryMinus

    public void set_UnaryMinus(UnaryMinus umin)

### set_Expr

    public void set_Expr(Expr ex)

### codegen

    public void codegen(ClassFile classfile,
                        CodeAttribute code,
                        de.dhbwstuttgart.typeinference.Menge paralist)
                 throws JVMCodeException

  Specified by:
    `codegen` in class `UnaryExpr`
    `JVMCodeException`

### neg_codegen

    public void neg_codegen(ClassFile classfile,
                            CodeAttribute code,
                            de.dhbwstuttgart.typeinference.Menge paralist)
                     throws JVMCodeException

    `JVMCodeException`

| Package
| Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD DETAIL: FIELD | CONSTR | METHOD